<div>
  <h2 id="page-heading" data-cy="EntreeHeading">
    <span jhiTranslate="gestionPersonnel3App.entree.home.title">Entrees</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.entree.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-entree"
        [routerLink]="['/entree/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.entree.home.createLabel"> Créer un nouveau Entree </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="entrees?.length === 0">
    <span jhiTranslate="gestionPersonnel3App.entree.home.notFound">Aucun Entree trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="entrees && entrees.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateEntree">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.entree.dateEntree">Date Entree</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="employe.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.entree.employe">Employe</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="natureEntree.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.entree.natureEntree">Nature Entree</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let entree of entrees; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/entree', entree.id, 'view']">{{ entree.id }}</a>
          </td>
          <td>{{ entree.dateEntree | formatMediumDate }}</td>
          <td>
            <div *ngIf="entree.employe">
              <a [routerLink]="['/employe', entree.employe.id, 'view']">{{ entree.employe.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="entree.natureEntree">
              <a [routerLink]="['/nature-entree', entree.natureEntree.id, 'view']">{{ entree.natureEntree.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button type="submit" [routerLink]="['/entree', entree.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button type="submit" [routerLink]="['/entree', entree.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(entree)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
